public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/fonts] rhel9: validate_family: support multiple faces in a font file
@ 2026-08-13 10:29 Akira TAGOH
  0 siblings, 0 replies; only message in thread
From: Akira TAGOH @ 2026-08-13 10:29 UTC (permalink / raw)
  To: git-commits

A new commit has been pushed.

Repo   : tests/fonts
Branch : rhel9
Commit : 48334fd0d5d6148e2d0e0d48bc92c44af9cd55ef
Author : Akira TAGOH <akira@tagoh.org>
Date   : 2024-11-18T16:24:47+09:00
Stats  : +8/-3 in 1 file(s)
URL    : https://src.fedoraproject.org/tests/fonts/c/48334fd0d5d6148e2d0e0d48bc92c44af9cd55ef?branch=rhel9

Log:
validate_family: support multiple faces in a font file

---
diff --git a/tests/validate_family/test.sh b/tests/validate_family/test.sh
index 352df08..91b7f8a 100755
--- a/tests/validate_family/test.sh
+++ b/tests/validate_family/test.sh
@@ -43,14 +43,19 @@ function test_validate_family {
 
     test_pkg "$pkg"
 
-    rlPhaseStartTest "Validate family name for $pkg"
+    rlPhaseStartTest "Validate primary family name for $pkg"
     {
         for f in $(get_font_path "$pkg"); do
             if echo "$f"|grep -Eq "\.(t1|ttf|otf|ttc|otc|pcf.*|pfa)$"; then
                 set -f
                 if ! check_exception "$fcexpat" "$f" && [ -f "$f" ]; then
-                    rlRun "fc-scan -f \"%{family[0]}\\n\" $f | tee output" 0 "Querying family name"
-                    rlAssertGrep "^$fcfamily\$" "output"
+                    rlRun "fc-scan -f \"%{family[0]}:%{index}\\n\" $f > output" 0 "Querying family name"
+                    cat output | while IFS=":" read -r _FAMILY _INDEX; do
+                        echo "$_FAMILY" > "out_${_FAMILY// /}_$_INDEX"
+                        if ! rlAssertGrep "^$fcfamily\$" "out_${_FAMILY// /}_$_INDEX"; then
+                            rlLogInfo "    Primary family name \"$_FAMILY\" in $f, index $_INDEX"
+                        fi
+                    done
                 else
                     rlLogInfo "Skipping $f (according to FONT_VALIDATE_EXCLUDE_FILES)"
                 fi

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-08-13 10:29 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-08-13 10:29 [tests/fonts] rhel9: validate_family: support multiple faces in a font file Akira TAGOH

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox